QwtPoint3DSeriesData(3)

NAME
QwtPoint3DSeriesData - Interface for iterating over an array of 3D points.

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtArraySeriesData< QwtPoint3D >.

  Public Member Functions
QwtPoint3DSeriesData (const QVector< QwtPoint3D > &=QVector< QwtPoint3D >())
virtual QRectF boundingRect () const
Calculate the bounding rectangle.

  Additional Inherited Members

Detailed Description

Interface for iterating over an array of 3D points.

Constructor & Destructor Documentation

  QwtPoint3DSeriesData::QwtPoint3DSeriesData (const QVector< QwtPoint3D > & samples = QVector<QwtPoint3D>())
Constructor

Parameters:
    samples Samples

Member Function Documentation

  QRectF QwtPoint3DSeriesData::boundingRect () const [virtual]

Calculate the bounding rectangle. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
    Bounding rectangle

Implements QwtSeriesData< QwtPoint3D >.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.